//
//  ConfirmAuthView.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 22/10/2025.
//

import SwiftUI

struct ConfirmAuthView: View {
    @State var password: String = ""

    var body: some View {
        VStack(spacing: 16) {
            VStack(alignment: .leading, spacing: 16) {
                SQText("Par mesure de sécurité, nous vous demandons votre mot de passe avant de modifier votre numéro de téléphone.")
                    .sqFont(.semiBold)
                SQPasswordField("Mot de passe", text: $password)
            }
            SQButton("Confirmer") {

            }
            HStack {
                Rectangle()
                    .frame(height: 1)
                    .foregroundStyle(Color.sqNeutral(20))
                SQText("ou")
                    .sqColor(.sqNeutral(70))
                Rectangle()
                    .frame(height: 1)
                    .foregroundStyle(Color.sqNeutral(20))
            }

            SQButton("Continuer avec Apple") {

            }
            .sqButtonType(.line)
            .sqIcon(SQIcon(.apple_brand))
            .sqLarge()

            SQButton("Continuer avec Google") {

            }
            .sqButtonType(.line)
            .sqIcon(SQIcon(.google_brand))
            .sqLarge()

            SQButton("Continuer avec Facebook") { 

            }
            .sqButtonType(.line)
            .sqIcon(SQIcon(.facebook_f_brand))
            .sqLarge()

            Spacer()
        }
        .padding()
    }
}

#Preview {
    ChangeLoginView()
}
